Subject: [bug#54304] [PATCH] Don't fix git executable location during Elixir build

From: Maxime Devos <[email-masked]>
Date: Wed, 09 Mar 2022 20:45:41 +0100

Cees de Groot schreef op wo 09-03-2022 om 17:31 [+0000]:
> I think changing the behaviour of a programming language just to be helpful to developers

Developers are users too and users can be developers.  Furthermore,
Elixir is an implementation of a programming language, so aren't all
users of Elixir automatically developers?

I'm not sure how exactly Elixir integrates with git but I assume the
integration can be very useful.

Also, this does not change the behaviour of the language, it only
adjusts a detail of the implementation: the error message for
indicating that git is missing is adjusted.

>  is something that one may consider for upstream, but certainly not in the context
>  of a packaging system like Guix - that just will breed confusion.

How could better error messages breed confusion?

Also, this seems a change that would absolutely _not_ be considered
upstream.  Why would upstream have distro-specific error messages?  If
the new error message is Guix-specific, wouldn't Guix be the logical
place to have it?

Greetings,
Maxime.